This project is read-only.

build fails

May 1, 2009 at 11:28 PM
Thank you so much for posting great library.

I tried to build the library, but I got following errors:


Cannot open include file: 'pgl/markup/Markup_lite.h': No such file or directory

The ConsoleDemo, DummyProject and LibPGLLua projects are missing.

Thanks,



May 2, 2009 at 12:55 PM
Edited May 2, 2009 at 12:57 PM
I have the same problem. In fact, the file "Markup_lite.h" does not exist anywhere in the current release and "Markup_lite.cpp" as well. Although it is possible to advance slightly by using a compiler directive "#define _MARKUP_NO_MARKUP", these changes cannot be considered as an appropriate solution to the problem. Moreover, if this trick is applied, other errors will arise soon. Namely, files "lua_wrapper.cpp", "pglmodule.cpp" are also absent, and there are some further issues related to "Copying license file...".

Some time ago I have been using an old version of PGL library, and I really like it. In contrast to many other solutions in this field, it is based on GDI+ interface instead of very ancient GDI. So, with a few adjustments it is possible to create nice looking 2D plots, similar to those from the latest versions of Wolfram Research Mathematica.